[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

backporting lyx 1.5.2 to Etch

I'm trying to backport lyx 1.5.2 to Etch for my unofficial repository
(http://emiscabpo.wordpress.com), and I would like to ask you some
things, to see if they are correct or wrong.

* lyx 1.5.2 source package requires python-support >= 0.6, I replaced
it with >= 0.5.6
* can I disable the libboost 1.34 dependency and build lyx removing
the --without-included-boost so it will use the included 1.34
* I've removed the dh_icons command in debian/rules and removed the
debhelper 5.0.51 dependency, as it is not present in Etch. How I can
simulate similar behaviour without backporting debhelper?

Doing these changes I was able to compile using pbuilder a binary
package, and lyx works.
I would like to create a "clean" backport, so I asked you these things...


Reply to: